function skill1044()
--id = player.GetTargetPlayer()
player.AddStat(0,id,80,0,3)

if id==128 and dead==1 and battle.CheckPlayerStat(128,735)==1 and battle.GetRndNumber(1,10)<=4 then
player.AddStat(0,128,9000,29,1)
player.RemoveStat(0,64,731)
end

end